Skip to main content

Change Logs

2026-09-20​

Interface version header x-version updated from v2 to v3 across the Authentication documents.

Changed​

CategoryAPIChangeLink
Docs—x-version request header updated from v2 to v3 in the required headers table.Authentication Overview
Docs—x-version request header updated from v2 to v3 in the required headers table and in the Python/Java signature examples; the example endpoint used throughout was updated from GET /openapi/account/list to GET /trading/accounts/list.Signature
Docs—x-version updated from v2 to v3 in the request header example.Token

2026-09-12​

Market Data API: Expanded the Screeners and Fundamentals modules with additional endpoints.

New​

CategoryAPIChangeLink
APIMarket Data APIAdded 4 Screeners endpoints: Market Sectors, Market Sectors Detail, High Dividend Rank, and 52 Week High/Low.Market Sectors
Market Sectors Detail
High Dividend Rank
52 Week High/Low
APIMarket Data APIAdded 20 Fundamentals endpoints: Forecast EPS, Filings, Earnings Calendar, Dividend Calendar, Capital Flow, Industry Comparison, Indicators, Income, Cashflow, Balancesheet, Alert, Fund Brief, Fund Performance, Fund NetValue, Fund Holdings, Fund Dividends, Fund Rating, Fund Splits, Fund Files, and Fund Allocation.Forecast EPS
Filings
Earnings Calendar
Dividend Calendar
Capital Flow
Industry Comparison
Indicators
Income
Cashflow
Balancesheet
Alert
Fund Brief
Fund Performance
Fund NetValue
Fund Holdings
Fund Dividends
Fund Rating
Fund Splits
Fund Files
Fund Allocation

2026-08-29​

Trading API: Removed deprecated time fields from Order endpoints.

Changed​

CategoryAPIChangeLink
APITrading APIRemoved place_time_at and filled_time_at fields from Order endpoint responses. These fields have been removed from the documentation.—

2026-08-22​

Trading API Interface path change.

Changed​

CategoryAPIChangeLink
APITrading APISome interface paths and descriptions have been modified—

2026-08-14​

Subscribe Trade Events documentation update.

Changed​

CategoryAPIChangeLink
APITrading APISubscribe Trade Events: MODIFY_SUCCESS example order_status value changed from WORKING to SUBMITTED.Subscribe Trade Events

2026-06-27​

Trading API and Market Data API update.

Changed​

CategoryAPIChangeLink
APIMarket Data APIMove the following three endpoints from the Trading API/Instrument directory to the Market Data API/Fundamentals directory: Company Profile, Analyst Target Price, and Analyst Rating.Company Profile

Add Watchlist and some API.

Add​

CategoryAPIChangeLink
APIMarket Data APIAdd Watchlist (Get Watchlist、Create Watchlist、Update Watchlist、Delete Watchlist、Get Watchlist Instruments、Add Instruments to Watchlist、Remove Instruments from Watchlist、Update Instruments Sort Order)Get Watchlist
APIMarket Data APIAdd Screener (Gainers & Losers、Top Active) API endpoints to the market-data directory.Gainers & Losers

2026-06-13​

Signature document update.

Historical Bars API now supports additional bar intervals, including intraday, daily, weekly, monthly, and yearly timeframes.

Changed​

CategoryAPIChangeLink
Docs—Signature document content updated by part format.Signature
APIMarket Data APIHistorical Bars endpoint updated timespan.schema.enum to support additional values: M15, M30, M60, M120, M240, D, W, M, Y.Historical Bars

2026-06-06​

Trading API: Get Stock Instrument response now returns four additional margin fields.

Changed​

CategoryAPIChangeLink
APITrading APIGet Stock Instrument response now returns four additional margin fields:
intraday_margin_long — Intraday margin requirement ratio for long position
intraday_margin_short — Intraday margin requirement ratio for short position
maintenance_margin_long — Maintenance margin requirement ratio for long position
maintenance_margin_short — Maintenance margin requirement ratio for short position
Get Stock Instrument